export class Script {

    constructor() {
        this.needsUserInteraction = true;
    }

    preLoad(loader) {
    }

    setup() {
        this.renderer = new Mobilizing.three.RendererThree({
            "antialias": true
        });
        this.context.addComponent(this.renderer);

        this.camera = new Mobilizing.three.Camera();
        this.camera.setFarPlane(100000);
        this.renderer.addCamera(this.camera);
       
        const light = new Mobilizing.three.Light();
        light.transform.setLocalPosition(10, 10, 10);
        this.renderer.addToCurrentScene(light);

        const touch = this.context.addComponent(new Mobilizing.input.Touch({ "target": this.renderer.canvas }));
        touch.setup();//set it up
        touch.on();//active it

        const mouse = this.context.addComponent(new Mobilizing.input.Mouse({ "target": this.renderer.canvas }));
        mouse.setup();//set it up
        mouse.on();//active it

        this.pointer = new Mobilizing.input.Pointer();
        this.context.addComponent(this.pointer);
        this.pointer.add(touch);
        this.pointer.add(mouse);
    }

    update() {
       
    }
}